import { get, post, deletes } from '@/http/index'

// 问答接口
// export const handlerAsk = async (data) => {
//   return await post('/kgqa/ask/', data)
// }
// 问答接口
export const handlerAsk = async (data) => {
  return await post('/als/algorithm/execute/qa', data)
}

// 历史记录
export const getQAHistoryList = async (data) => {
  return await get('/als/qaHistory/list', data)
}

// 查询问答历史记录列表不分页
export const getQAHistoryListAll = async (data) => {
  return await get('/als/qaHistory/list/all', data)
}

// 获取问答历史记录详细信息
export const getQAHistoryDetail = async (id) => {
  return await get('/als/qaHistory/' + id)
}

// 新增问答历史记录
export const addQAHistory = async (data) => {
  return await post('/als/qaHistory', data)
}

// 删除问答历史记录
export const removeQAHistory = async (id) => {
  return await deletes('/als/qaHistory/' + id)
}

// 统计列表
export const getGroup = async (data) => {
  return await get('/als/qaHistory/group', data)
}
